patch-configure 8.3 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324
  1. --- Python-3.1.1.orig/configure 2009-06-08 23:22:57.000000000 +0200
  2. +++ Python-3.1.1/configure 2009-09-16 20:36:05.000000000 +0200
  3. @@ -17204,141 +17204,6 @@ fi
  4. fi
  5. -# On Tru64, chflags seems to be present, but calling it will
  6. -# exit Python
  7. -{ echo "$as_me:$LINENO: checking for chflags" >&5
  8. -echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
  9. -if test "$cross_compiling" = yes; then
  10. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  11. -See \`config.log' for more details." >&5
  12. -echo "$as_me: error: cannot run test program while cross compiling
  13. -See \`config.log' for more details." >&2;}
  14. - { (exit 1); exit 1; }; }
  15. -else
  16. - cat >conftest.$ac_ext <<_ACEOF
  17. -/* confdefs.h. */
  18. -_ACEOF
  19. -cat confdefs.h >>conftest.$ac_ext
  20. -cat >>conftest.$ac_ext <<_ACEOF
  21. -/* end confdefs.h. */
  22. -
  23. -#include <sys/stat.h>
  24. -#include <unistd.h>
  25. -int main(int argc, char*argv[])
  26. -{
  27. - if(chflags(argv[0], 0) != 0)
  28. - return 1;
  29. - return 0;
  30. -}
  31. -
  32. -_ACEOF
  33. -rm -f conftest$ac_exeext
  34. -if { (ac_try="$ac_link"
  35. -case "(($ac_try" in
  36. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  37. - *) ac_try_echo=$ac_try;;
  38. -esac
  39. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  40. - (eval "$ac_link") 2>&5
  41. - ac_status=$?
  42. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  43. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  44. - { (case "(($ac_try" in
  45. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  46. - *) ac_try_echo=$ac_try;;
  47. -esac
  48. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  49. - (eval "$ac_try") 2>&5
  50. - ac_status=$?
  51. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  52. - (exit $ac_status); }; }; then
  53. -
  54. -cat >>confdefs.h <<\_ACEOF
  55. -#define HAVE_CHFLAGS 1
  56. -_ACEOF
  57. -
  58. - { echo "$as_me:$LINENO: result: yes" >&5
  59. -echo "${ECHO_T}yes" >&6; }
  60. -else
  61. - echo "$as_me: program exited with status $ac_status" >&5
  62. -echo "$as_me: failed program was:" >&5
  63. -sed 's/^/| /' conftest.$ac_ext >&5
  64. -
  65. -( exit $ac_status )
  66. -{ echo "$as_me:$LINENO: result: no" >&5
  67. -echo "${ECHO_T}no" >&6; }
  68. -
  69. -fi
  70. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  71. -fi
  72. -
  73. -
  74. -
  75. -{ echo "$as_me:$LINENO: checking for lchflags" >&5
  76. -echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
  77. -if test "$cross_compiling" = yes; then
  78. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  79. -See \`config.log' for more details." >&5
  80. -echo "$as_me: error: cannot run test program while cross compiling
  81. -See \`config.log' for more details." >&2;}
  82. - { (exit 1); exit 1; }; }
  83. -else
  84. - cat >conftest.$ac_ext <<_ACEOF
  85. -/* confdefs.h. */
  86. -_ACEOF
  87. -cat confdefs.h >>conftest.$ac_ext
  88. -cat >>conftest.$ac_ext <<_ACEOF
  89. -/* end confdefs.h. */
  90. -
  91. -#include <sys/stat.h>
  92. -#include <unistd.h>
  93. -int main(int argc, char*argv[])
  94. -{
  95. - if(lchflags(argv[0], 0) != 0)
  96. - return 1;
  97. - return 0;
  98. -}
  99. -
  100. -_ACEOF
  101. -rm -f conftest$ac_exeext
  102. -if { (ac_try="$ac_link"
  103. -case "(($ac_try" in
  104. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  105. - *) ac_try_echo=$ac_try;;
  106. -esac
  107. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  108. - (eval "$ac_link") 2>&5
  109. - ac_status=$?
  110. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  111. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  112. - { (case "(($ac_try" in
  113. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  114. - *) ac_try_echo=$ac_try;;
  115. -esac
  116. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  117. - (eval "$ac_try") 2>&5
  118. - ac_status=$?
  119. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  120. - (exit $ac_status); }; }; then
  121. -
  122. -cat >>confdefs.h <<\_ACEOF
  123. -#define HAVE_LCHFLAGS 1
  124. -_ACEOF
  125. -
  126. - { echo "$as_me:$LINENO: result: yes" >&5
  127. -echo "${ECHO_T}yes" >&6; }
  128. -else
  129. - echo "$as_me: program exited with status $ac_status" >&5
  130. -echo "$as_me: failed program was:" >&5
  131. -sed 's/^/| /' conftest.$ac_ext >&5
  132. -
  133. -( exit $ac_status )
  134. -{ echo "$as_me:$LINENO: result: no" >&5
  135. -echo "${ECHO_T}no" >&6; }
  136. -
  137. -fi
  138. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  139. -fi
  140. @@ -22435,84 +22300,6 @@ fi
  141. LIBS=$LIBS_SAVE
  142. -# Multiprocessing check for broken sem_getvalue
  143. -{ echo "$as_me:$LINENO: checking for broken sem_getvalue" >&5
  144. -echo $ECHO_N "checking for broken sem_getvalue... $ECHO_C" >&6; }
  145. -if test "$cross_compiling" = yes; then
  146. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  147. -See \`config.log' for more details." >&5
  148. -echo "$as_me: error: cannot run test program while cross compiling
  149. -See \`config.log' for more details." >&2;}
  150. - { (exit 1); exit 1; }; }
  151. -else
  152. - cat >conftest.$ac_ext <<_ACEOF
  153. -/* confdefs.h. */
  154. -_ACEOF
  155. -cat confdefs.h >>conftest.$ac_ext
  156. -cat >>conftest.$ac_ext <<_ACEOF
  157. -/* end confdefs.h. */
  158. -
  159. -#include <unistd.h>
  160. -#include <fcntl.h>
  161. -#include <stdio.h>
  162. -#include <semaphore.h>
  163. -#include <sys/stat.h>
  164. -
  165. -int main(void){
  166. - sem_t *a = sem_open("/autoconf", O_CREAT, S_IRUSR|S_IWUSR, 0);
  167. - int count;
  168. - int res;
  169. - if(a==SEM_FAILED){
  170. - perror("sem_open");
  171. - return 1;
  172. -
  173. - }
  174. - res = sem_getvalue(a, &count);
  175. - sem_close(a);
  176. - return res==-1 ? 1 : 0;
  177. -}
  178. -
  179. -
  180. -_ACEOF
  181. -rm -f conftest$ac_exeext
  182. -if { (ac_try="$ac_link"
  183. -case "(($ac_try" in
  184. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  185. - *) ac_try_echo=$ac_try;;
  186. -esac
  187. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  188. - (eval "$ac_link") 2>&5
  189. - ac_status=$?
  190. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  191. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  192. - { (case "(($ac_try" in
  193. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  194. - *) ac_try_echo=$ac_try;;
  195. -esac
  196. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  197. - (eval "$ac_try") 2>&5
  198. - ac_status=$?
  199. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  200. - (exit $ac_status); }; }; then
  201. - { echo "$as_me:$LINENO: result: no" >&5
  202. -echo "${ECHO_T}no" >&6; }
  203. -else
  204. - echo "$as_me: program exited with status $ac_status" >&5
  205. -echo "$as_me: failed program was:" >&5
  206. -sed 's/^/| /' conftest.$ac_ext >&5
  207. -
  208. -( exit $ac_status )
  209. -{ echo "$as_me:$LINENO: result: yes" >&5
  210. -echo "${ECHO_T}yes" >&6; }
  211. -
  212. -cat >>confdefs.h <<\_ACEOF
  213. -#define HAVE_BROKEN_SEM_GETVALUE 1
  214. -_ACEOF
  215. -
  216. -
  217. -fi
  218. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  219. -fi
  220. @@ -25145,94 +24932,6 @@ else
  221. echo "${ECHO_T}no" >&6; }
  222. fi
  223. -{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
  224. -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
  225. -if test "$cross_compiling" = yes; then
  226. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  227. -See \`config.log' for more details." >&5
  228. -echo "$as_me: error: cannot run test program while cross compiling
  229. -See \`config.log' for more details." >&2;}
  230. - { (exit 1); exit 1; }; }
  231. -else
  232. - cat >conftest.$ac_ext <<_ACEOF
  233. -/* confdefs.h. */
  234. -_ACEOF
  235. -cat confdefs.h >>conftest.$ac_ext
  236. -cat >>conftest.$ac_ext <<_ACEOF
  237. -/* end confdefs.h. */
  238. -#include <stdio.h>
  239. -#include <stddef.h>
  240. -#include <string.h>
  241. -
  242. -#ifdef HAVE_SYS_TYPES_H
  243. -#include <sys/types.h>
  244. -#endif
  245. -
  246. -#ifdef HAVE_SSIZE_T
  247. -typedef ssize_t Py_ssize_t;
  248. -#elif SIZEOF_VOID_P == SIZEOF_LONG
  249. -typedef long Py_ssize_t;
  250. -#else
  251. -typedef int Py_ssize_t;
  252. -#endif
  253. -
  254. -int main()
  255. -{
  256. - char buffer[256];
  257. -
  258. - if(sprintf(buffer, "%zd", (size_t)123) < 0)
  259. - return 1;
  260. -
  261. - if (strcmp(buffer, "123"))
  262. - return 1;
  263. -
  264. - if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
  265. - return 1;
  266. -
  267. - if (strcmp(buffer, "-123"))
  268. - return 1;
  269. -
  270. - return 0;
  271. -}
  272. -_ACEOF
  273. -rm -f conftest$ac_exeext
  274. -if { (ac_try="$ac_link"
  275. -case "(($ac_try" in
  276. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  277. - *) ac_try_echo=$ac_try;;
  278. -esac
  279. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  280. - (eval "$ac_link") 2>&5
  281. - ac_status=$?
  282. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  283. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  284. - { (case "(($ac_try" in
  285. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  286. - *) ac_try_echo=$ac_try;;
  287. -esac
  288. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  289. - (eval "$ac_try") 2>&5
  290. - ac_status=$?
  291. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  292. - (exit $ac_status); }; }; then
  293. - { echo "$as_me:$LINENO: result: yes" >&5
  294. -echo "${ECHO_T}yes" >&6; }
  295. -
  296. -cat >>confdefs.h <<\_ACEOF
  297. -#define PY_FORMAT_SIZE_T "z"
  298. -_ACEOF
  299. -
  300. -else
  301. - echo "$as_me: program exited with status $ac_status" >&5
  302. -echo "$as_me: failed program was:" >&5
  303. -sed 's/^/| /' conftest.$ac_ext >&5
  304. -
  305. -( exit $ac_status )
  306. -{ echo "$as_me:$LINENO: result: no" >&5
  307. -echo "${ECHO_T}no" >&6; }
  308. -fi
  309. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  310. -fi